Receiver Question for the QQ190

1.05K viewsqq190
0

I just bought a QQ190 and have order a X4RSB Receiver but currently have a D4R II, will the receiver work ok or should I wait until I get my X4RSB ?

Also when I downloaded the recommended OpenTX2.0.6 to my Taranis Plus it upgraded to the 2.0.20, will this cause a problem or should I revert back to version 2.0.6 ?

Thank you,

Ken

deleted answer
0

Hi Ken,

The D4R II should work with the the QQ190. The FrSky D4RII can use CPPM (really the same as PPM) which is compatible with the TBS Powercube on the QQ190. You would need to use the pin jumper that came with the D4RII and set the connection type in the on screen display to PPM. Give it a try and let us know if you have issues.

FrSky D4R-II 2.4 Ghz PPM Radio Receiver 8 channel with Telemetry

We have been looking at the OpenTX update and here is what we found. Updating to 2.0.20 will remove current settings. If you back up your settings from 2.0.6 in a save file and update, then you can import the settings and all should be working fine. If you have custom voice files from 2.0.6, they will not work with 2.0.20 without a file restructure. If you want to use custom voice files then stick with 2.0.6.

Thanks,

Alex

edited answer

Question stats

  • Active
  • Views1046 times
  • Answers2 answers